Why is there no previous installer?



  • I am having problems with bias amp 2 desktop 64 bit pc and would like to use a previous version to check if it solves the issue I am having but I cannot find it anywhere on site.

    Why does PG not give the option to install a previous version?



  • I don't think there is a library of previous versions available on the website. I have also had to roll back to get things to work right (and a reminder to keep previous installers). Support has been rapid to respond to such a request and are there to help, as fixes are in progress. Send in a ticket and they will give you links to what you require.

    John